POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "2edd90bb-1f9a-4a21-906f-be7cb4b0fe4d",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "6d081c8c-171b-4aa1-852f-0291dafe77d5",
"contractItem_ID": "9ebb852d-4bc9-44fa-82c8-341386021a19",
"departement_ID": "866c2216-dbba-4285-87e1-8936a8e6afcc",
"departmentItem_ID": "a49e0b48-2bac-42dc-bf79-dee2dd4ddd52",
"iD": "a03231ec-5531-46de-bc6f-0c24d50cabbc",
"site_ID": "5df4d25b-7750-4da8-85a9-c1243ba46283",
"siteCustomer_ID": "679bae67-4d7e-4ff4-ba43-6aeaafe6e367",
"sticker_ID": "c8749ab1-b312-4e3e-949a-8ff1d34a2bf7",
"garment_ID": "3ce87bd1-021b-4343-9ae6-17b5e0a80037"
},
{
"active": true,
"contract_ID": "6d081c8c-171b-4aa1-852f-0291dafe77d5",
"contractItem_ID": "9ebb852d-4bc9-44fa-82c8-341386021a19",
"departement_ID": "866c2216-dbba-4285-87e1-8936a8e6afcc",
"departmentItem_ID": "a49e0b48-2bac-42dc-bf79-dee2dd4ddd52",
"iD": "a03231ec-5531-46de-bc6f-0c24d50cabbc",
"site_ID": "5df4d25b-7750-4da8-85a9-c1243ba46283",
"siteCustomer_ID": "679bae67-4d7e-4ff4-ba43-6aeaafe6e367",
"sticker_ID": "c8749ab1-b312-4e3e-949a-8ff1d34a2bf7",
"garment_ID": "3ce87bd1-021b-4343-9ae6-17b5e0a80037"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "289c07a5-966a-4f11-adf9-fb106a4f131e",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "8fb00d7a-7475-48bf-8686-2450f0287492",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "86d33077-dde4-4140-987a-d6e8affbfcd2",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "71015ec4-36bf-498d-b86b-f1fe22f023f0",
"stickerField_ID": "cde170a8-c785-4d5d-9d73-30f3ccd0e9dc",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "289c07a5-966a-4f11-adf9-fb106a4f131e",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "8fb00d7a-7475-48bf-8686-2450f0287492",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "86d33077-dde4-4140-987a-d6e8affbfcd2",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "71015ec4-36bf-498d-b86b-f1fe22f023f0",
"stickerField_ID": "cde170a8-c785-4d5d-9d73-30f3ccd0e9dc",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "56980285-1550-45dc-aa2c-81e7785fca92",
"stickerType_ID": "d2157880-babc-442b-8540-5efac301ffa9",
"stickerRelation_IDs": [
"7403fa16-54c7-4a24-a5a9-600afdd83f04",
"4c99cb17-d858-4de4-b0fd-e40b6fef0e76"
],
"site_ID": "4fb1f985-2e86-432b-8ed2-c239b0608f28"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"74c67b66-568a-4b1d-83a6-e355997c2480"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">74c67b66-568a-4b1d-83a6-e355997c2480</guid>